FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-01-2009, 12:13 AM
Arnau Bria
 
Default Wicd: ImportError: No module named gtk

Hi,

after changing some use and removing some packages
from /etc/portage/package.keywords, I get this error when I run wicd
aplication (gtk based).

I tried to rebuild pygtk, but did not help.
I only found some old solution in forums, talking about python 2.4.
I'm on python 2.5.2.

An other curious thing is this:
# /etc/init.d/xdm restart
* Stopping xdm ...
/sbin/start-stop-daemon: stat /usr/bin/xdm: No such file or directory (No such file or directory) [ ok ]
* Setting up xdm ...
start-stop-daemon: stat /usr/bin/xdm: No such file or directory (No such file or directory)
* ERROR: could not start the Display Manager

my xdm is not in my system.... Maybe I have corrupted something
removing packages from package.keywords/use...
but revdep-rebuild has nothing to do and :
# emerge -DNp world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] app-arch/cpio-2.9-r2 [2.9-r1]
[ebuild R ] sys-devel/patch-2.5.9 USE="(-build%)"
[ebuild U ] app-arch/bzip2-1.0.5-r1 [1.0.5]
[ebuild U ] net-misc/iputils-20071127 [20070202]
[ebuild U ] sys-apps/less-418 [416]
[ebuild N ] virtual/pager-0
[ebuild U ] sys-apps/which-2.19 [2.16]
[ebuild U ] net-misc/wget-1.11.3 [1.10.2]
[ebuild U ] app-arch/gzip-1.3.12-r1 [1.3.12]
[ebuild U ] sys-apps/gawk-3.1.6 [3.1.5-r5]
[ebuild U ] app-arch/tar-1.20 [1.19-r1]
[ebuild U ] sys-devel/flex-2.5.35 [2.5.33-r3]
[ebuild U ] sys-apps/net-tools-1.60_p20071202044231-r1 [1.60-r13]
[ebuild U ] app-editors/nano-2.1.7-r1 [2.0.7] USE="spell*"
[ebuild U ] sys-apps/busybox-1.12.2-r1 [1.8.2]
[ebuild U ] sys-fs/udev-124-r1 [115-r1]
[ebuild U ] sys-apps/shadow-4.1.2.2 [4.0.18.1-r1] USE="-audit%"
[ebuild U ] sys-process/psmisc-22.6 [22.5-r2] USE="X*"
[ebuild N ] sys-libs/e2fsprogs-libs-1.41.3-r1 USE="nls"
[ebuild U ] sys-apps/util-linux-2.14.1 [2.13.1.1] USE="(-uclibc)"
[ebuild U ] sys-fs/e2fsprogs-1.41.3 [1.40.8]
[blocks b ] <sys-fs/e2fsprogs-1.41 ("<sys-fs/e2fsprogs-1.41" is blocking sys-libs/e2fsprogs-libs-1.41.3-r1)
[uninstall ] sys-libs/com_err-1.40.8
[blocks b ] sys-libs/com_err ("sys-libs/com_err" is blocking sys-libs/e2fsprogs-libs-1.41.3-r1)
[uninstall ] sys-libs/ss-1.40.8
[blocks b ] sys-libs/ss ("sys-libs/ss" is blocking sys-libs/e2fsprogs-libs-1.41.3-r1)

does not show anything about xdm or widc...


Cheers,
Arnau
 
Old 02-01-2009, 07:09 PM
Arnau Bria
 
Default Wicd: ImportError: No module named gtk

puyhon-updater solved my problem.

Cheers,
Arnau
 

Thread Tools




All times are GMT. The time now is 06:45 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org